## Update a Path on a Component

### Overview

Update a path on a component.

### HTTP Request

```
PUT /v0/experimental/components/{id}/paths/{pathId}
```

### Example cURL Command

```bash
curl --request PUT \
  --url https://demo-api.gable.ai/v0/experimental/components/{id}/paths/{pathId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "ingress": {
    "signature_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "kind": "<string>",
    "schema": {},
    "payload_name": "<string>",
    "description": "<string>"
  },
  "egress": {
    "signature_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "kind": "<string>",
    "schema": {},
    "payload_name": "<string>",
    "description": "<string>"
  },
  "field_mappings": [
    {
      "ingress_field": "<string>",
      "egress_field": "<string>",
      "notes": "<string>"
    }
  ],
  "code_anchors": [
    {
      "anchor_id": "<string>",
      "name": "<string>",
      "file": "<string>",
      "line_start": 123,
      "line_end": 123,
      "column_start": 123,
      "column_end": 123,
      "url": "<string>"
    }
  ],
  "transformation_summary": "<string>",
  "payload_name": "<string>",
  "reason": "<string>",
  "effective_since_commit_sha": "<string>"
}
'
```

### Request Body

The body must include the following fields:

- **ingress**: (object) One side (ingress or egress) of a path, with full boundary data inlined.
- **egress**: (object) One side (ingress or egress) of a path, with full boundary data inlined.
- **field_mappings**: (array) An array of field mapping objects.
- **code_anchors**: (array) An array of code anchor objects.
- **transformation_summary**: (string) A brief summary of the data transformation on this path.
- **payload_name**: (string) The payload name for this path.
- **reason**: (string) Optional reason for creating or updating this path.
- **effective_since_commit_sha**: (string) Commit SHA this path is effective from.

### Response

On a successful update, the response returns the updated path object.
